%define module_name	amedyn
%define module_release	alt2.6
%define module_version	20040801

%define kversion	2.4.29
%define krelease	alt6
%define flavour		std-up

%define base_arch %(echo %_target_cpu | sed 's/i.86/i386/;s/athlon/i386/')

%define module_dir /lib/modules/%kversion-%flavour-%krelease/%module_name

Summary: Zyxel 630-11 DSL USB modem driver (Alpha quality!)
Name: kernel-modules-%module_name-%flavour
Version: %module_version
Release: %module_release
License: Distributable
Group: System/Kernel and hardware
Url: http://etersoft.ru/adsl
Packager: Vitaly Lipatov <lav@altlinux.ru>

ExclusiveOS: Linux
BuildPreReq: kernel-build-tools
BuildRequires: modutils
#BuildRequires:	perl
BuildRequires: rpm >= 4.0.2-75
BuildRequires: kernel-headers-modules-%flavour = %kversion-%krelease
BuildRequires: kernel-source-%module_name = %module_version

Provides: kernel-modules-%module_name-%kversion-%flavour-%krelease = %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease < %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease > %version-%release

PreReq: coreutils
PreReq: modutils
PreReq: kernel-image-%flavour = %kversion-%krelease
Requires(postun): kernel-image-%flavour = %kversion-%krelease
ExclusiveArch: %ix86

%description
Zyxel 630-11 DSL USB modem (DynaMiTe USB Modem) driver (Alpha quality!)

These are modules for ALT Linux system.

%prep
rm -rf kernel-source-%module_name-%module_version

tar -jxvf %kernel_src/kernel-source-%module_name-%module_version.tar.bz2

%setup -D -T -n kernel-source-%module_name-%module_version

%build
. %_usrsrc/linux-%kversion-%flavour/gcc_version.inc
%__make CC=gcc KERNEL_PATH=%_usrsrc/linux-%kversion-%flavour

%install
%__make install MODULE_PATH=%buildroot/%module_dir

%post
/sbin/depmod -a -F /boot/System.map-%kversion-%flavour-%krelease \
    %kversion-%flavour-%krelease

%postun
[ ! -f /boot/System.map-%kversion-%flavour-%krelease ] || \
/sbin/depmod -a -F /boot/System.map-%kversion-%flavour-%krelease \
    %kversion-%flavour-%krelease

%files
%module_dir

%changelog
* Fri May 27 2005 Vitaly Lipatov <lav@altlinux.ru> 20040801-alt2.6
- for 2.4.29-alt6

* Fri Apr 01 2005 Vitaly Lipatov <lav@altlinux.ru> 20040801-alt2.5
- for 2.4.29-alt5

* Thu Mar 17 2005 Vitaly Lipatov <lav@altlinux.ru> 20040801-alt2.4
- for 2.4.29-alt4

* Sat Jan 29 2005 Vitaly Lipatov <lav@altlinux.ru> 20040801-alt2
- for 2.4.29-alt3

* Sat Jan 15 2005 Vitaly Lipatov <lav@altlinux.ru> 20040801-alt1
- new version

* Mon Jan 10 2005 Vitaly Lipatov <lav@altlinux.ru> 2003.10.29-alt8
- for 2.4.28-alt2

* Thu Dec 30 2004 Vitaly Lipatov <lav@altlinux.ru> 2003.10.29-alt7
- for 2.4.28-alt1

* Fri Dec 17 2004 Vitaly Lipatov <lav@altlinux.ru> 2003.10.29-alt6
- for 2.4.27-alt3

* Fri Dec 03 2004 Vitaly Lipatov <lav@altlinux.ru> 2003.10.29-alt5
- for 2.4.27-alt2

* Sat Oct 30 2004 Vitaly Lipatov <lav@altlinux.ru> 2003.10.29-alt4
- for 2.4.27-alt1

* Wed Sep 01 2004 Vitaly Lipatov <lav@altlinux.ru> 2003.10.29-alt3
- for 2.4.26-alt6

* Mon Jul 12 2004 Vitaly Lipatov <lav@altlinux.ru> 2003.10.29-alt2
- for kernel 2.4.26

* Fri Mar 19 2004 Andrey V Khavryuchenko <akhavr@altlinux.org> 2003.10.29-alt1
- Initial build
